Bug 102717 - redhat-config-kickstart fails to open file
redhat-config-kickstart fails to open file
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 05:07 EDT by Christian Hofmann
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-22 17:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Hofmann 2003-08-20 05:07:33 EDT
Description of problem:

open file dialog fails to oben the appended file

Version-Release number of selected component (if applicable):


How reproducible:

open this ks.cfg file

-- Start PASTE

# Kickstart file automatically generated by anaconda.
url --url http://station3/ks/
install
lang en_US
langsupport --default en_US en_US
keyboard de-latin1-nodeadkeys
mouse generic3usb --device input/mice
xconfig --card "ATI Radeon (generic)" --videoram 32768 --hsync 30-80 --vsync
56-76 --resolution 1280x1024 --depth 16
network --device eth0 --bootproto dhcp --nameserver 192.168.0.254 --hostname
station4.example.com
rootpw --iscrypted $1$µÀÄÎï3Tø$3/0bu/LOhgCy7OjfnREH6.
firewall --disabled
authconfig --enableshadow --enablemd5
timezone Europe/Berlin
bootloader
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all --drives=hda
part /boot --fstype ext3 --size=50 --ondisk=hda
part /usr --fstype ext3 --size=1400 --grow --ondisk=hda
part swap --size=512 --grow --maxsize=1024 --ondisk=hda
part /home --fstype ext3 --size=512 --grow --ondisk=hda
part / --fstype ext3 --size=384 --ondisk=hda
part /var --fstype ext3 --size=256 --ondisk=hda

%packages
@ Printing Support
@ Classic X Window System
@ X Window System
@ GNOME
@ Sound and Multimedia Support
@ Network Support
@ Web Server
@ Advanced Server
compat-libstdc++
SDL_image
magicdev
libpcap
SDL
asp2php-gtk
rhn_register-gnome
xawtv
nmap-frontend
up2date-gnome
SDL_net
gnome-media
SDL_mixer
vnc-server
pvm-gui
openssh-askpass-gnome
redhat-config-network
xmms-gnome
vnc
kernel-pcmcia-cs
xmms
apacheconf
openssh-askpass
gq

%post
(
# Update von up2date und rhn_register
wget -P /tmp -r -ll -np -A "*.prm" http://server1.example.com/pub/updates
rpm -Uvh /tmp/rhn_register-*.rpm
rpm -Uvh /tmp/rhn_register-*.rpm

# RHN-Proxy einrichten
wget -P /tmp http://station3/pub/rhns-ca-cert-1.0-1.noarch.rpm
rpm -Uvh /tmp/rhns-ca-cert-1.0-1.noarch.rpm

perl -p -i -e #s/^serverURL/#serverURL/g' \
  /etc/sysconfig/rhn/{rhn_register,up2date}
perl -p -i -e #s/^sslCACert/#sslCACert/g' \
  /etc/sysconfig/rhn/{rhn_register,up2date}
perl -p -i -e #s/^noSSLServerURL/#noSSLServerURL/g' \
  /etc/sysconfig/rhn/{rhn_register,up2date}

echo "serverURL=https://station3/XMLRPC" | \
  tee -a /etc/sysconfig/rhn/{rhn_register,up2date}
echo "sslCACert=/usr/share/rhn/RHNS-CA-CERT" | \
  tee -a /etc/sysconfig/rhn/{rhn_register,up2date}
echo "noSSLServerURL=http://station3/XMLRPC" | \
  tee -a /etc/sysconfig/rhn/{rhn_register,up2date}

# get Key for custom channels
wget -P /tmp http://station3/pub/MY-GPG-KEY
gpg $(up2date --gpg-flags)
gpg $(up2date --gpg-flags) --import /tmp/MY-GPG-KEY

# log on to rhn
rhnreg_ks --serialnumber  0ed2885cb49e27a41ca6445eebe684b1

up2date synchost

) &> /root/kickstart-post.log

-- END PASTE

Steps to Reproduce:
1.
2.
3.
    
Actual results:
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 272, in
on_activate_open
    self.fillData()
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 306, in fillData
    self.partition_class.fillData()
  File "/usr/share/redhat-config-kickstart/partition.py", line 344, in fillData
    self.partWindow.populateList(line)
  File "/usr/share/redhat-config-kickstart/partWindow.py", line 539, in populateList
    result = self.parseLine(part_object, line)
  File "/usr/share/redhat-config-kickstart/partWindow.py", line 548, in parseLine
    opts, args = getopt.getopt(line[1:], "d:h", ["fstype=", "size=", "onpart", 
  File "/usr/lib/python2.2/getopt.py", line 72, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib/python2.2/getopt.py", line 93, in do_longs
    raise GetoptError('option --%s must not have an argument' % opt, opt)
getopt.GetoptError: option --maxsize must not have an argument

File open dialog stays open file does not get loaded.

Expected results:

File get oepened and dialog closes

Additional info:
Comment 1 Brent Fox 2003-08-22 17:56:43 EDT
Should be fixed in redhat-config-kickstart-2.3.17-1.

Note You need to log in before you can comment on or make changes to this bug.